Jump to content

[1.3 & 1.2] KSP-AVC Add-on Version Checker Plugin 1.1.6.2 - MiniAVC - KSP-AVC Online (2016-10-13)


cybutek
 Share

Recommended Posts

47 minutes ago, cybutek said:

If you're connected to the internet it'll use the remote version information for compatibility checks which will correctly see 1.1.3 as a valid compatible KSP version. When not connected to the internet it'll use the older local .version file for compatibility checks. This feature is there so that mod authors do not have to re-upload a new version of the mod and users don't have to re-download the whole mod again when it is still compatible just to get an updated .version file.

Noted. I haven't disconnected from the internet at any point, but maybe there was a temporary server error somewhere.

Link to comment
Share on other sites

3 hours ago, Kiro said:

Noted. I haven't disconnected from the internet at any point, but maybe there was a temporary server error somewhere.

If it happens again would you upload and post a link to your KSP log file please?  I'd like to go over it to just to make sure nothing unusual is happening within KSP-AVC.

Link to comment
Share on other sites

  • 3 weeks later...

Wow...

Before I created my own checker I decided to give this plugin one more shot and the error I found was so simple to avoid isn't not even one I thought to look for.  Possibly because I wasn't being told what to look for.  You are not URL encoding the url's before you check them.

I have a SPACE in my URL and AVC is not encoding that space.  It therefore never finds the URL. And instead of giving me a LOGICAL reason why it errored out, like unable to contact the website, it just kept telling me there was an error in my perfectly formatted version file.

The instant I changed that space into a %20, it worked.

That also explains why others with things like dashes in their url's are getting this same result.

 

Link to comment
Share on other sites

On 03/08/2016 at 4:33 PM, Vorg said:

I didn't know space was a valid char for a URL

Any character which can be used in a POSIX path name needs to be usable in URLs.  That means that they need to accept all but one of the 256 ASCII characters, (that one being the null character), plus most of the UTF-8 character space.

Many programs need to have some of those characters 'escaped out' either with a flag character that says "the next character/the marked set of characters are to be taken literally" or through a character code, (URLs use the latter, a space being %20).  This includes all RFC compliant webservers, (whitespace characters have a special meaning in HTTP requests), so a browser will generally generate the escaping if the user has not.  Note that using characters which require this escaping out in a URL is not considered a good practice and should be avoided.

Link to comment
Share on other sites

Last night it was working. Tonight it hangs at 52 of 53 plugins and the little popup box doesn't go away.

Spoiler

Executing: KSP-AVC - 1.1.6.1
Assembly: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\KSP-AVC\KSP-AVC.dll

[Text 23:46:02.6534000]: Starter was created.
[Text 23:46:07.0244000]: Checking Root: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData
[Text 23:46:07.0254000]: CheckerProgressGui was created.
[Text 23:46:08.1394000]: Version file contains errors: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\ExtraplanetaryLaunchpads\Plugins\EL.version
[Text 23:46:08.1414000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\PlanetaryBaseInc\PlanetaryBaseInc.version
    NAME: Kerbal Planetary Base Systems
    URL: NULL
    DOWNLOAD: NULL
    GITHUB: NULL
    VERSION: 1.1.3
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.2
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.1434000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\ExtraplanetaryLaunchpads\Plugins\EL.version
    NAME: NULL (required)
    URL: NULL
    DOWNLOAD: NULL
    GITHUB: NULL
    VERSION: NULL (required)
    KSP_VERSION: Any
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.5384000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.5384000]: https://raw.githubusercontent.com/TriggerAu/KerbalAlarmClock/master/KerbalAlarmClock/KerbalAlarmClock.version
    NAME: Kerbal Alarm Clock
    URL: https://raw.githubusercontent.com/TriggerAu/KerbalAlarmClock/master/KerbalAlarmClock/KerbalAlarmClock.version
    DOWNLOAD: https://github.com/TriggerAu/KerbalAlarmClock/releases
    GITHUB: NULL
    VERSION: 3.7.1
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.5384000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.5384000]: https://raw.githubusercontent.com/ChrisAdderley/NearFuturePropulsion/master/GameData/NearFuturePropulsion/Versioning/NearFuturePropulsion.version
    NAME: NearFuturePropulsion
    URL: https://raw.githubusercontent.com/ChrisAdderley/NearFuturePropulsion/master/GameData/NearFuturePropulsion/Versioning/NearFuturePropulsion.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/52042
    GITHUB: NULL
    VERSION: 0.7.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.5394000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.5394000]: https://raw.githubusercontent.com/ChrisAdderley/StationPartsExpansion/master/GameData/StationPartsExpansion/Versioning/StationPartsExpansion.version
    NAME: StationPartsExpansion
    URL: https://raw.githubusercontent.com/ChrisAdderley/StationPartsExpansion/master/GameData/StationPartsExpansion/Versioning/StationPartsExpansion.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/index.php?/topic/82833-104-stockalike-station-parts-expansion-04062015-bugfixes/&page=1
    GITHUB: NULL
    VERSION: 0.4
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.5394000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\UmbraSpaceIndustries\SrvPack\SrvPack.version
    NAME: USI Survivability Pack
    URL: https://raw.githubusercontent.com/BobPalmer/SrvPack/master/FOR_RELASE/GameData/UmbraSpaceIndustries/SrvPack/SrvPack.version
    DOWNLOAD: https://github.com/BobPalmer/SrvPack/releases
    GITHUB: BobPalmer/SrvPack
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.5
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:08.5424000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.5424000]: https://raw.githubusercontent.com/ChrisAdderley/NearFutureElectrical/master/GameData/NearFutureElectrical/Versioning/NearFutureElectrical.version
    NAME: NearFutureElectrical
    URL: https://raw.githubusercontent.com/ChrisAdderley/NearFutureElectrical/master/GameData/NearFutureElectrical/Versioning/NearFutureElectrical.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/52042
    GITHUB: NULL
    VERSION: 0.7.7
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.5424000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.5424000]: https://raw.githubusercontent.com/ChrisAdderley/NearFutureSpacecraft/master/GameData/NearFutureSpacecraft/Versioning/NearFutureSpacecraft.version
    NAME: NearFutureSpacecraft
    URL: https://raw.githubusercontent.com/ChrisAdderley/NearFutureSpacecraft/master/GameData/NearFutureSpacecraft/Versioning/NearFutureSpacecraft.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/52042
    GITHUB: NULL
    VERSION: 0.5.1
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.6334000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\TextureReplacer\TextureReplacer.version
    NAME: TextureReplacer
    URL: https://raw.githubusercontent.com/ducakar/TextureReplacer/master/GameData/TextureReplacer/TextureReplacer.version
    DOWNLOAD: http://kerbal.curseforge.com/projects/texturereplacer
    GITHUB: NULL
    VERSION: 2.4.13
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
[Text 23:46:08.6334000]: https://raw.githubusercontent.com/ducakar/TextureReplacer/master/GameData/TextureReplacer/TextureReplacer.version
    NAME: TextureReplacer
    URL: https://raw.githubusercontent.com/ducakar/TextureReplacer/master/GameData/TextureReplacer/TextureReplacer.version
    DOWNLOAD: http://kerbal.curseforge.com/projects/texturereplacer
    GITHUB: NULL
    VERSION: 2.4.12
    KSP_VERSION: 1.0.5
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
    UpdateAvailable: False

[Text 23:46:08.6364000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\CivilianPopulation\GameData\CommunityResourcePack\CRP.version
    NAME: Community Resource Pack
    URL: https://raw.githubusercontent.com/BobPalmer/CommunityResourcePack/master/GameData/CommunityResourcePack/CRP.version
    DOWNLOAD: https://github.com/BobPalmer/CommunityResourcePack/releases
    GITHUB: BobPalmer/CommunityResourcePack
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.4.3
    KSP_VERSION: 1.0.4
    KSP_VERSION_MIN: 1.0
    KSP_VERSION_MAX: 1.0.4
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:08.6664000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.6664000]: https://raw.githubusercontent.com/snjo/Firespitter/master/For release/Firespitter/Firespitter.version
    NAME: Firespitter
    URL: https://raw.githubusercontent.com/snjo/Firespitter/master/For release/Firespitter/Firespitter.version
    DOWNLOAD: NULL
    GITHUB: NULL
    VERSION: 7.3
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.8354000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.8354000]: http://ksp-avc.cybutek.net/version.php?id=183
    NAME: DeepFreeze Continued...
    URL: http://ksp-avc.cybutek.net/version.php?id=183
    DOWNLOAD: http://spacedock.info/mod/142/DeepFreeze Continued...
    GITHUB: NULL
    VERSION: 0.22.3
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.8374000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.8374000]: https://raw.githubusercontent.com/TriggerAu/TransferWindowPlanner/master/TransferWindowPlanner/TransferWindowPlanner.version
    NAME: Transfer Window Planner
    URL: https://raw.githubusercontent.com/TriggerAu/TransferWindowPlanner/master/TransferWindowPlanner/TransferWindowPlanner.version
    DOWNLOAD: https://github.com/TriggerAu/TransferWindowPlanner/releases
    GITHUB: NULL
    VERSION: 1.5.1
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.8384000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.8384000]: https://raw.githubusercontent.com/ChrisAdderley/NearFutureSolar/master/GameData/NearFutureSolar/Versioning/NearFutureSolar.version
    NAME: NearFutureSolar
    URL: https://raw.githubusercontent.com/ChrisAdderley/NearFutureSolar/master/GameData/NearFutureSolar/Versioning/NearFutureSolar.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/52042
    GITHUB: NULL
    VERSION: 0.6.2
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.9274000]: Version file contains errors: http://ksp-avc.cybutek.net/version.php?id=108
[Text 23:46:08.9274000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\UniversalStorage\UniversalStorage.version
    NAME: Universal Storage
    URL: http://ksp-avc.cybutek.net/version.php?id=108
    DOWNLOAD: NULL
    GITHUB: NULL
    VERSION: 1.1.0.11
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: 1.0
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
[Text 23:46:08.9274000]: http://ksp-avc.cybutek.net/version.php?id=108
    NAME: NULL (required)
    URL: NULL
    DOWNLOAD: NULL
    GITHUB: NULL
    VERSION: NULL (required)
    KSP_VERSION: Any
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
    UpdateAvailable: False

[Text 23:46:08.9364000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.9364000]: http://ksp-avc.cybutek.net/version.php?id=287
    NAME: JSIAdvTransparentPods
    URL: http://ksp-avc.cybutek.net/version.php?id=287
    DOWNLOAD: http://spacedock.info/mod/598/JSI Advanced Transparent Pods
    GITHUB: NULL
    VERSION: 0.1.7
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.9364000]: Identical remote version found: Using remote version information only.
[Text 23:46:08.9364000]: http://ksp-avc.cybutek.net/version.php?id=297
    NAME: Docking Port Alignment Indicator
    URL: http://ksp-avc.cybutek.net/version.php?id=297
    DOWNLOAD: http://forum.kerbalspaceprogram.com/index.php?/topic/40423-11-docking-port-alignment-indicator-version-621-beta-updated-04122016/
    GITHUB: NULL
    VERSION: 6.4
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:08.9384000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\CivilianPopulation\GameData\NetherdyneAerospace\CivilianManagement\CivilianPopulation.version
    NAME: Civilian Population
    URL: http://ksp-avc.cybutek.net/version.php?id=171
    DOWNLOAD: https://kerbalstuff.com/mod/620/[.90] Civilian Population
    GITHUB: NULL
    VERSION: 1.8
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
[Text 23:46:08.9384000]: http://ksp-avc.cybutek.net/version.php?id=171
    NAME: Civilian Population
    URL: http://ksp-avc.cybutek.net/version.php?id=171
    DOWNLOAD: https://kerbalstuff.com/mod/620/[.90] Civilian Population
    GITHUB: NULL
    VERSION: 1.7.5.1
    KSP_VERSION: 1.0.4
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
    UpdateAvailable: False

[Text 23:46:09.0354000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\UmbraSpaceIndustries\Malemute\Malemute.version
    NAME: USI Core
    URL: https://raw.githubusercontent.com/BobPalmer/Malemute/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Malemute/Malemute.version
    DOWNLOAD: https://github.com/BobPalmer/Malemute/releases
    GITHUB: BobPalmer/UmbraSpaceIndustries
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.1.1
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.2
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True
[Text 23:46:09.0354000]: https://raw.githubusercontent.com/BobPalmer/Malemute/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Malemute/Malemute.version
    NAME: Malemute Rover
    URL: https://raw.githubusercontent.com/BobPalmer/Malemute/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Malemute/Malemute.version
    DOWNLOAD: https://github.com/BobPalmer/Malemute/releases
    GITHUB: BobPalmer/UmbraSpaceIndustries
        LatestRelease: 0.7.4
        AllowPreRelease: False
    VERSION: 0.1.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: False
    UpdateAvailable: False

[Text 23:46:09.0384000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.0384000]: http://magico13.net/KCT/SR.version
    NAME: StageRecovery
    URL: http://magico13.net/KCT/SR.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/86677-0-24-2-StageRecovery-Recover-Funds-from-Dropped-Stages-v1-1-4-0-(7-28-14)
    GITHUB: NULL
    VERSION: 1.6.4
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1.2
    KSP_VERSION_MAX: 1.1.2
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:09.1274000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.1274000]: https://raw.githubusercontent.com/BobPalmer/SoundingRockets/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/SoundingRockets/SoundingRockets.version
    NAME: Sounding Rockets
    URL: https://raw.githubusercontent.com/BobPalmer/SoundingRockets/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/SoundingRockets/SoundingRockets.version
    DOWNLOAD: https://github.com/BobPalmer/SoundingRockets/releases
    GITHUB: BobPalmer/SoundingRockets
        LatestRelease: 0.4.4
        AllowPreRelease: False
    VERSION: 0.4.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.1684000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.1684000]: https://raw.githubusercontent.com/valerian/ksp-planetshine/master/PlanetShine.version
    NAME: PlanetShine
    URL: https://raw.githubusercontent.com/valerian/ksp-planetshine/master/PlanetShine.version
    DOWNLOAD: http://mods.curse.com/ksp-mods/kerbal/224876-planetshine
    GITHUB: valerian/ksp-planetshine
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.2.5
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:09.2394000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.2404000]: https://raw.githubusercontent.com/BobPalmer/Karibou/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Karibou/Karibou.version
    NAME: Karibou
    URL: https://raw.githubusercontent.com/BobPalmer/Karibou/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Karibou/Karibou.version
    DOWNLOAD: https://github.com/BobPalmer/Karibou/releases
    GITHUB: BobPalmer/Karibou
        LatestRelease: 0.2.4
        AllowPreRelease: False
    VERSION: 0.2.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.2414000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.2414000]: https://www.blizzy.de/toolbar/Toolbar.version
    NAME: Toolbar
    URL: https://www.blizzy.de/toolbar/Toolbar.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/index.php?/topic/55420-110-toolbar-1711-common-api-for-draggableresizable-buttons-toolbar/
    GITHUB: NULL
    VERSION: 1.7.12
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1.2
    KSP_VERSION_MAX: 1.1.2
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:09.2694000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.2694000]: https://www.blizzy.de/precise-node/PreciseNode.version
    NAME: Precise Node
    URL: https://www.blizzy.de/precise-node/PreciseNode.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/index.php?/topic/44129-110-precise-node-122-precisely-edit-your-maneuver-nodes/
    GITHUB: NULL
    VERSION: 1.2.3
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1.2
    KSP_VERSION_MAX: 1.1.2
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:09.2824000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.2824000]: https://raw.githubusercontent.com/blowfishpro/B9PartSwitch/master/GameData/B9PartSwitch/B9PartSwitch.version
    NAME: B9 Part Switch
    URL: https://raw.githubusercontent.com/blowfishpro/B9PartSwitch/master/GameData/B9PartSwitch/B9PartSwitch.version
    DOWNLOAD: https://github.com/blowfishpro/B9PartSwitch/releases
    GITHUB: blowfishpro/B9PartSwitch
        LatestRelease: 1.4.3
        AllowPreRelease: False
    VERSION: 1.4.3
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.3344000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.3344000]: http://ksp-avc.cybutek.net/version.php?id=2
    NAME: KSP-AVC Plugin
    URL: http://ksp-avc.cybutek.net/version.php?id=2
    DOWNLOAD: http://kerbal.curseforge.com/projects/ksp-avc-add-on-version-checker
    GITHUB: NULL
    VERSION: 1.1.6.1
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.3724000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.3724000]: https://raw.githubusercontent.com/BobPalmer/ExplorationPack/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/ExpPack/ExpPack.version
    NAME: USI Exploration Pack
    URL: https://raw.githubusercontent.com/BobPalmer/ExplorationPack/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/ExpPack/ExpPack.version
    DOWNLOAD: https://github.com/BobPalmer/ExplorationPack/releases
    GITHUB: BobPalmer/ExplorationPack
        LatestRelease: 0.5.4
        AllowPreRelease: False
    VERSION: 0.5.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.4274000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.4274000]: https://themoose.co.uk/ksp/[x] Science!.version
    NAME: [x] Science!
    URL: https://themoose.co.uk/ksp/[x] Science!.version
    DOWNLOAD: https://themoose.co.uk/ksp/downloads.html
    GITHUB: NULL
    VERSION: 4.20
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.4384000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.4384000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.4384000]: https://raw.githubusercontent.com/BobPalmer/SubPack/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/SubPack/SubPack.version
    NAME: USI Submarine Pack
    URL: https://raw.githubusercontent.com/BobPalmer/SubPack/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/SubPack/SubPack.version
    DOWNLOAD: https://github.com/BobPalmer/SubPack/releases
    GITHUB: BobPalmer/SubPack
        LatestRelease: 0.1.4
        AllowPreRelease: False
    VERSION: 0.1.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.4384000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.4384000]: https://raw.githubusercontent.com/BobPalmer/FTT/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/FTT/FTT.version
    NAME: Freight Transport Tech
    URL: https://raw.githubusercontent.com/BobPalmer/FTT/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/FTT/FTT.version
    DOWNLOAD: https://github.com/BobPalmer/FTT/releases
    GITHUB: BobPalmer/FTT
        LatestRelease: 0.5.4
        AllowPreRelease: False
    VERSION: 0.5.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.4984000]: https://raw.githubusercontent.com/BobPalmer/USI_Core/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/USICore.version
    NAME: USI Core
    URL: https://raw.githubusercontent.com/BobPalmer/USI_Core/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/USICore.version
    DOWNLOAD: https://github.com/BobPalmer/USI_Core/releases
    GITHUB: BobPalmer/UmbraSpaceIndustries
        LatestRelease: 0.7.4
        AllowPreRelease: False
    VERSION: 0.2.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: False

[Text 23:46:09.5184000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.5184000]: https://raw.githubusercontent.com/BobPalmer/USI-LS/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/LifeSupport/USI-LS.version
    NAME: USI-LS
    URL: https://raw.githubusercontent.com/BobPalmer/USI-LS/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/LifeSupport/USI-LS.version
    DOWNLOAD: https://github.com/BobPalmer/USI-LS/releases
    GITHUB: BobPalmer/USI-LS
        LatestRelease: 0.4.4
        AllowPreRelease: False
    VERSION: 0.4.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.5184000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\Workshop\Workshop.version
    NAME: OSE Workshop
    URL: https://raw.githubusercontent.com/obivandamme/Workshop/master/GameData/Workshop/Workshop.version
    DOWNLOAD: https://github.com/obivandamme/Workshop/releases
    GITHUB: obivandamme/Workshop
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.13
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True
[Text 23:46:09.5184000]: https://raw.githubusercontent.com/obivandamme/Workshop/master/GameData/Workshop/Workshop.version
    NAME: OSE Workshop
    URL: https://raw.githubusercontent.com/obivandamme/Workshop/master/GameData/Workshop/Workshop.version
    DOWNLOAD: https://github.com/obivandamme/Workshop/releases
    GITHUB: obivandamme/Workshop
        LatestRelease: 0.14
        AllowPreRelease: False
    VERSION: 0.14
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1.2
    KSP_VERSION_MAX: 1.1.2
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True
    UpdateAvailable: False

[Text 23:46:09.5324000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.5324000]: http://ksp-avc.cybutek.net/version.php?id=27
    NAME: Chatterer
    URL: http://ksp-avc.cybutek.net/version.php?id=27
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/92324-0-24-2-Chatterer-v-0-6-1-Aug-31-2014
    GITHUB: NULL
    VERSION: 0.9.90.1289
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.5344000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.5344000]: http://ksp-avc.cybutek.net/version.php?id=63
    NAME: Trajectories
    URL: http://ksp-avc.cybutek.net/version.php?id=63
    DOWNLOAD: https://github.com/neuoy/KSPTrajectories/releases
    GITHUB: NULL
    VERSION: 1.6.2
    KSP_VERSION: 1.1.2
    KSP_VERSION_MIN: 1.1.2
    KSP_VERSION_MAX: 1.1.2
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: False
    CompatibleGitHubVersion: True

[Text 23:46:09.6064000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.6064000]: https://raw.githubusercontent.com/S-C-A-N/SCANsat/release/SCANassets/SCANsat.version
    NAME: SCANsat
    URL: https://raw.githubusercontent.com/S-C-A-N/SCANsat/release/SCANassets/SCANsat.version
    DOWNLOAD: https://github.com/S-C-A-N/SCANsat/releases
    GITHUB: S-C-A-N/SCANsat
        LatestRelease: 16.3
        AllowPreRelease: False
    VERSION: 1.1.6.3
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: False

[Text 23:46:09.6404000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.6404000]: http://ksp-avc.cybutek.net/version.php?id=281
    NAME: RealPlume - Stock
    URL: http://ksp-avc.cybutek.net/version.php?id=281
    DOWNLOAD: https://github.com/KSP-RO/RealPlume-StockConfigs/releases
    GITHUB: NULL
    VERSION: 0.10.9
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.0.5
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:09.6954000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\ContractPacks\FieldResearch\ContractPack-FieldResearch.version
    NAME: Contract Pack: Field Research
    URL: https://raw.githubusercontent.com/jrossignol/ContractPack-FieldResearch/master/GameData/ContractPacks/FieldResearch/ContractPack-FieldResearch.version
    DOWNLOAD: https://github.com/jrossignol/ContractPack-FieldResearch/releases
    GITHUB: jrossignol/ContractPack-FieldResearch
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 1.1.7
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: 1.0.5
    KSP_VERSION_MAX: 1.99.99
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
[Text 23:46:09.6954000]: https://raw.githubusercontent.com/jrossignol/ContractPack-FieldResearch/master/GameData/ContractPacks/FieldResearch/ContractPack-FieldResearch.version
    NAME: Contract Pack: Field Research
    URL: https://raw.githubusercontent.com/jrossignol/ContractPack-FieldResearch/master/GameData/ContractPacks/FieldResearch/ContractPack-FieldResearch.version
    DOWNLOAD: https://github.com/jrossignol/ContractPack-FieldResearch/releases
    GITHUB: jrossignol/ContractPack-FieldResearch
        LatestRelease: 1.2
        AllowPreRelease: False
    VERSION: 1.2
    KSP_VERSION: 1.1
    KSP_VERSION_MIN: 1.0.5
    KSP_VERSION_MAX: 1.99.99
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True
    UpdateAvailable: False

[Text 23:46:09.7054000]: Identical remote version found: Using remote version information only.
[Text 23:46:09.7054000]: https://raw.githubusercontent.com/BobPalmer/CommunityResourcePack/master/FOR_RELEASE/GameData/CommunityResourcePack/CRP.version
    NAME: Community Resource Pack
    URL: https://raw.githubusercontent.com/BobPalmer/CommunityResourcePack/master/FOR_RELEASE/GameData/CommunityResourcePack/CRP.version
    DOWNLOAD: https://github.com/BobPalmer/CommunityResourcePack/releases
    GITHUB: BobPalmer/CommunityResourcePack
        LatestRelease: 0.5.4
        AllowPreRelease: False
    VERSION: 0.5.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.0
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:10.0054000]: Identical remote version found: Using remote version information only.
[Text 23:46:10.0054000]: https://raw.githubusercontent.com/jrossignol/WaypointManager/master/GameData/WaypointManager/WaypointManager.version
    NAME: Waypoint Manager
    URL: https://raw.githubusercontent.com/jrossignol/WaypointManager/master/GameData/WaypointManager/WaypointManager.version
    DOWNLOAD: https://github.com/jrossignol/WaypointManager/releases
    GITHUB: jrossignol/WaypointManager
        LatestRelease: 2.5.3
        AllowPreRelease: False
    VERSION: 2.5.3
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:10.0954000]: Identical remote version found: Using remote version information only.
[Text 23:46:10.0954000]: http://ksp-avc.cybutek.net/version.php?id=6
    NAME: Kerbal Engineer Redux
    URL: http://ksp-avc.cybutek.net/version.php?id=6
    DOWNLOAD: http://kerbal.curseforge.com/projects/kerbal-engineer-redux
    GITHUB: NULL
    VERSION: 1.1.1
    KSP_VERSION: 1.1.1
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: False
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:10.1424000]: Identical remote version found: Using remote version information only.
[Text 23:46:10.1424000]: https://raw.githubusercontent.com/jrossignol/ContractConfigurator/master/GameData/ContractConfigurator/ContractConfigurator.version
    NAME: Contract Configurator
    URL: https://raw.githubusercontent.com/jrossignol/ContractConfigurator/master/GameData/ContractConfigurator/ContractConfigurator.version
    DOWNLOAD: https://github.com/jrossignol/ContractConfigurator/releases
    GITHUB: jrossignol/ContractConfigurator
        LatestRelease: 1.17
        AllowPreRelease: False
    VERSION: 1.17
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:11.5344000]: Identical remote version found: Using remote version information only.
[Text 23:46:11.5344000]: https://raw.githubusercontent.com/ChrisAdderley/NearFutureConstruction/master/GameData/NearFutureConstruction/Versioning/NearFutureConstruction.version
    NAME: NearFutureConstruction
    URL: https://raw.githubusercontent.com/ChrisAdderley/NearFutureConstruction/master/GameData/NearFutureConstruction/Versioning/NearFutureConstruction.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/52042
    GITHUB: NULL
    VERSION: 0.6.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:11.5364000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\000_USITools\USITools.version
    NAME: USI Tools
    URL: https://raw.githubusercontent.com/BobPalmer/UmbraSpaceIndustries/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/USICore.version
    DOWNLOAD: https://github.com/BobPalmer/UmbraSpaceIndustries/releases
    GITHUB: BobPalmer/UmbraSpaceIndustries
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.7.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.0
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:11.5404000]: Identical remote version found: Using remote version information only.
[Text 23:46:11.5404000]: https://raw.githubusercontent.com/MagicSmokeIndustries/InfernalRobotics/master/InfernalRobotics.version
    NAME: Infernal Robots
    URL: https://raw.githubusercontent.com/MagicSmokeIndustries/InfernalRobotics/master/InfernalRobotics.version
    DOWNLOAD: NULL
    GITHUB: NULL
    VERSION: 2.0.5
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: NULL
    KSP_VERSION_MAX: NULL
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:11.5954000]: C:\Games\Steam\steamapps\common\Kerbal Space Program\GameData\UmbraSpaceIndustries\Konstruction\Konstruction.version
    NAME: Konstruction
    URL: https://raw.githubusercontent.com/BobPalmer/Konstruction/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Konstruction/Konstruction.version
    DOWNLOAD: https://github.com/BobPalmer/Konstruction/releases
    GITHUB: BobPalmer/Konstruction
        LatestRelease: NULL
        AllowPreRelease: False
    VERSION: 0.1
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:12.0314000]: Identical remote version found: Using remote version information only.
[Text 23:46:12.0314000]: https://raw.githubusercontent.com/BobPalmer/MKS/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/UKS/UKS.version
    NAME: UKS
    URL: https://raw.githubusercontent.com/BobPalmer/MKS/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/UKS/UKS.version
    DOWNLOAD: https://github.com/BobPalmer/MKS/releases
    GITHUB: BobPalmer/MKS
        LatestRelease: 0.40.4
        AllowPreRelease: False
    VERSION: 0.40.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:12.1404000]: Identical remote version found: Using remote version information only.
[Text 23:46:12.1414000]: https://raw.githubusercontent.com/Ninenium/NavHud/master/GameData/NavHud/NavHud.version
    NAME: NavHud
    URL: https://raw.githubusercontent.com/Ninenium/NavHud/master/GameData/NavHud/NavHud.version
    DOWNLOAD: https://github.com/Ninenium/NavHud/releases
    GITHUB: Ninenium/NavHud
        LatestRelease: 1.3.1
        AllowPreRelease: False
    VERSION: 1.3.1
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.*
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:12.2374000]: Identical remote version found: Using remote version information only.
[Text 23:46:12.2374000]: https://raw.githubusercontent.com/BobPalmer/Kolonization/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Kolonization/Kolonization.version
    NAME: Kolonization Core
    URL: https://raw.githubusercontent.com/BobPalmer/Kolonization/master/FOR_RELEASE/GameData/UmbraSpaceIndustries/Kolonization/Kolonization.version
    DOWNLOAD: https://github.com/BobPalmer/Kolonization/releases
    GITHUB: BobPalmer/Kolonization
        LatestRelease: 0.2.4
        AllowPreRelease: False
    VERSION: 0.2.4
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1
    KSP_VERSION_MAX: 1.1.3
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:12.3974000]: Identical remote version found: Using remote version information only.
[Text 23:46:12.3974000]: https://raw.githubusercontent.com/KospY/KIS/master/kis.version
    NAME: Kerbal Inventory System
    URL: https://raw.githubusercontent.com/KospY/KIS/master/kis.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/113111
    GITHUB: KospY/KIS
        LatestRelease: 1.2.12
        AllowPreRelease: False
    VERSION: 1.2.12
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Text 23:46:12.5414000]: Identical remote version found: Using remote version information only.
[Text 23:46:12.5414000]: https://raw.githubusercontent.com/KospY/KAS/master/kas.version
    NAME: Kerbal Attachment System
    URL: https://raw.githubusercontent.com/KospY/KAS/master/kas.version
    DOWNLOAD: http://forum.kerbalspaceprogram.com/threads/92514
    GITHUB: KospY/KAS
        LatestRelease: 0.5.9
        AllowPreRelease: False
    VERSION: 0.5.9
    KSP_VERSION: 1.1.3
    KSP_VERSION_MIN: 1.1.3
    KSP_VERSION_MAX: 1.1.99
    CompatibleKspVersion: True
    CompatibleKspVersionMin: True
    CompatibleKspVersionMax: True
    CompatibleGitHubVersion: True

[Exception 23:49:58.8234000]: System.InvalidCastException: Cannot cast from source type to destination type.
  at UnityEngine.GUILayout.BeginScrollView (Vector2 scrollPosition, Boolean alwaysShowHorizontal, Boolean alwaysShowVertical, UnityEngine.GUIStyle horizontalScrollbar, UnityEngine.GUIStyle verticalScrollbar, UnityEngine.GUIStyle background, UnityEngine.GUILayoutOption[] options) [0x00000] in <filename unknown>:0 
  at UnityEngine.GUILayout.BeginScrollView (Vector2 scrollPosition, UnityEngine.GUILayoutOption[] options) [0x00000] in <filename unknown>:0 
  at KSP_AVC.Toolbar.ToolbarWindow.DrawAddonBoxStart () [0x00000] in <filename unknown>:0 
  at KSP_AVC.Toolbar.ToolbarWindow.DrawAddonList () [0x00000] in <filename unknown>:0 
  at KSP_AVC.Toolbar.ToolbarWindow.Window (Int32 windowId) [0x00000] in <filename unknown>:0 

[Text 23:52:30.5404000]: Starter was destroyed.
[Text 23:52:30.5404000]: CheckerProgressGui was destroyed.
 

 

Link to comment
Share on other sites

Did you notice this part?

Quote

[Exception 23:49:58.8234000]: System.InvalidCastException: Cannot cast from source type to destination type.
  at UnityEngine.GUILayout.BeginScrollView (Vector2 scrollPosition, Boolean alwaysShowHorizontal, Boolean alwaysShowVertical, UnityEngine.GUIStyle horizontalScrollbar, UnityEngine.GUIStyle verticalScrollbar, UnityEngine.GUIStyle background, UnityEngine.GUILayoutOption[] options) [0x00000] in <filename unknown>:0 
  at UnityEngine.GUILayout.BeginScrollView (Vector2 scrollPosition, UnityEngine.GUILayoutOption[] options) [0x00000] in <filename unknown>:0 
  at KSP_AVC.Toolbar.ToolbarWindow.DrawAddonBoxStart () [0x00000] in <filename unknown>:0 
  at KSP_AVC.Toolbar.ToolbarWindow.DrawAddonList () [0x00000] in <filename unknown>:0 
  at KSP_AVC.Toolbar.ToolbarWindow.Window (Int32 windowId) [0x00000] in <filename unknown>:0 

That was at the end of the log while it was hung. The text after that was added when I closed the game. Also, I was having problems connecting to a game server last night, but that seem to be a client/server problem because when the restarted the server I could connect. Then they had to restart again because of a corruption and I could not connect again.

Yea it needs a timeout/abort option. But with 53 mods, space dock being down wasn't the problem. It was able to check 52 of them.

Link to comment
Share on other sites

  • 2 weeks later...

Hello! I just started using AVC. Before I used CKAN for updating mods, but I'm now migrating to AVC. However, I noticed that AVC doesn't detect some of my mods that are in GameData folder (and working), such as Kerbalism, some contract packs. Am I doing something wrong?

Link to comment
Share on other sites

7 minutes ago, aluc24 said:

Hello! I just started using AVC. Before I used CKAN for updating mods, but I'm now migrating to AVC. However, I noticed that AVC doesn't detect some of my mods that are in GameData folder (and working), such as Kerbalism, some contract packs. Am I doing something wrong?

You do know that the mod itself has to support AVC? ... Thats (usually) a conscientious decision by the mod dev themselves, not an unknown 3rd party who takes it upon themselves to provide metadata for CKAN...

I'm not saying either is good or bad, and I surely dont want to start a trainwreck  with off-topic discussion of AVC vs CKAN...
Just pointing out, that as far as I understand it, thats one of the basic differences between the two, and why many mod devs choose one over the other, if at all...

SO if I am correct, your best bet is to go look at the list of supported AVC mods (its somewhere on the innerwebs), and see if enough of your preferred mods are on it, to justify the switch; and/or look thru the release thread of whatever mod you would like to see have AVC support, which does not, and see if the mod dev has discussed the issue in the thread already... If not, then maybe post or PM the mod dev asking if it would be possible to add AVC support to the mod...

????....

Link to comment
Share on other sites

4 hours ago, Stone Blue said:

You do know that the mod itself has to support AVC? ... Thats (usually) a conscientious decision by the mod dev themselves, not an unknown 3rd party who takes it upon themselves to provide metadata for CKAN...

I'm not saying either is good or bad, and I surely dont want to start a trainwreck  with off-topic discussion of AVC vs CKAN...
Just pointing out, that as far as I understand it, thats one of the basic differences between the two, and why many mod devs choose one over the other, if at all...

SO if I am correct, your best bet is to go look at the list of supported AVC mods (its somewhere on the innerwebs), and see if enough of your preferred mods are on it, to justify the switch; and/or look thru the release thread of whatever mod you would like to see have AVC support, which does not, and see if the mod dev has discussed the issue in the thread already... If not, then maybe post or PM the mod dev asking if it would be possible to add AVC support to the mod...

????....

I wasn't aware of that: thank you. I have some issues with CKAN, that's why I'm switching. So, if I see that half of my mods aren't supporting AVC, how do I keep them updated without CKAN and without manually checking every single one of them?

Link to comment
Share on other sites

4 hours ago, aluc24 said:

I wasn't aware of that: thank you. I have some issues with CKAN, that's why I'm switching. So, if I see that half of my mods aren't supporting AVC, how do I keep them updated without CKAN and without manually checking every single one of them?

Well, thats the crux of the problem: modders want to run lots of mods, but want something that automatically updates (or at least notifies them), when mods they have, update...

Hence, why CKAN and AVC came into being...

I had great hopes for KSP Mod Admin, as it worked GREAT at doing mod installs, giving the user full control, and could do anything from complete manual installs, to fully automatic installs... The only caveat was that the user had to manually get the mod download themselves... Then there was an attempt to make it more like AVC/CKAN, where it had a "browser" where you could look up mod threads/download links, and have KSPMA get the download for you... But around that time, dev seems to have petered out on it, and IIRC, that part was never fully functioning...

Anyway, yeah, choices for mod management for KSP are very limited right now...

So you have CKAN, which I guess does everything for you, and the reason it has almost every mod, is because ANYONE can submit meta for ANY mod they like, (though this has been limited recently, due to the recent discussion between the mod dev community and the CKAN community)...

Where as, KSP AVC, requires ONE person (the mod dev), to decide whether they want to support the functionality or not... Unfortunately, MANY do not, or possibly do not know the benefits of supporting AVC...

i REALLY wish KSP AVC had more support from mod devs... Its a great tool... It of course doesnt check, and install mod dependencies for you, you're still on your own for THAT, but it also doesnt come with the problems that CKAN has... (Again, please dont flame me: I'm not saying one is better than the other, just that they are different, and each has pros & cons that the user has to decide for themselves on whether to use either)

The only other viable method, is to once in awhile check the release threads for each mod, and grab them and install them yourself...
Its actually not TOO bad, at least when the mod dev puts the a) KSP version, b) clear mod title, c) mod version, and/or d) date of the mod release, all in the thread title... Google is your friend for this, as the site search leaves quite a bit to be desired...
You could also "Follow" the release threads, or maybe better, the mod dev, of the mods you want... The only problem is, then you get notified EVERY time there is a post... :P

Edited by Stone Blue
Link to comment
Share on other sites

  • 2 weeks later...

Just tried your plug-in for the first time. 

 

I LOVE the feature that allows you to copy a mod-list to the clipboard. That feature should be in any mod-manager and I've lamented its absence in other games (RimWorld et. al)

It's not intuitively obvious how one dismisses the left hand window after use. Many users begrudge every square CM of screen area so that should be made more apparent.

Link to comment
Share on other sites

  • 3 weeks later...

So, I've just noticed, It's been a year and three months since I mentioned a bug and got a reply, and it still hasn't gone away. Bug report exchange follows:

On 6/13/2015 at 2:08 AM, aquilux said:

This may get lost in the other items here, but I'd like to point out an unwanted behavior that causes significant game play interruption.

Problem:

In the situation where an internet connection is present, but sufficiently degraded, AVC continues the lookup process maintaining the version update status window in a position that makes the game difficult to play. I have not experienced the updater making any progress once the game menu loads. In every event that I have experienced this error appear, it remains onscreen until game shutdown.

Javascript is disabled. View full album

Possible solutions:

 

  • default timeout version check upon KSC load
  • minimize window upon KSC load
  • manual timeout/stop check option

 

On 6/29/2015 at 9:16 AM, cybutek said:

Don't worry, I'm currently working on a new version of KSP-AVC; a complete re-write from the ground up. I'd like to get it finished and available for you lot very soon, as AVC has been in need of an overhaul for quite some time. Rest assured that it doesn't have this checking window bug :)

Link to comment
Share on other sites

1 hour ago, Olympic1 said:

No, only via a .version file using http://ksp-avc.cybutek.net/ or GitHub

Forgive me for dumb questions: so the GitHub feature for MiniAVC can automatically detect new packaged releases? If so, then MiniAVC would just be one-time initial setup, e.g. no constant maintenance of the version file every time I push a release?

Edited by theSpeare
Link to comment
Share on other sites

1 hour ago, theSpeare said:

Forgive me for dumb questions: so the GitHub feature for MiniAVC can automatically detect new packaged releases? If so, then MiniAVC would just be one-time initial setup, e.g. no constant maintenance of the version file every time I push a release?

You'll need to update your .version file for every release.

Link to comment
Share on other sites

11 hours ago, theSpeare said:

How does miniAVC compare against the latest GitHub release if it's packaged within a zip file? Will I have to adopt a specific tag naming system?

It doesn't.  There's no special Github integration.  You just specify a URL to check against, but that URL can point to the .version file checked into your Github repo (itself, basically).

For example if you use the URL https://raw.githubusercontent.com/theSpeare/RoverScience-Revisit/master/GameData/RoverScience/Anomalies.cfg it always points to the latest Anomolies.cfg in your repo.  You can have your .version file point at itself in the repo, like https://raw.githubusercontent.com/theSpeare/RoverScience-Revisit/master/GameData/RoverScience/RoverScience.version.

Then when you update the Github repo, KSP-AVC/MiniAVC checks that URL, sees the new .version in Github, and notifies users.  If you do it this way, updating the .version file in the repo should be the last thing you do.  You can of course have two copies of your .version file - one to package up, and one you change when you're ready for users to see it.  Or just do all your work in a "develop" branch, and point AVC at the "master" branch.

I just point the .version URL at http://ksp-avc.cybutek.net/ because it's simpler.  If your builds are heavily automated, you may prefer the Github method.

Edited by hab136
Link to comment
Share on other sites

@hab136 oh neat, thank you for the detailed explanation. So the version files I will need are:

1. One inside my packaged release zip file

2. One somewhere in my GitHub repo, for miniAVC to check against.

Furthermore, if I work exclusively on my master branch, I should publish my zip file FIRST, then push to Github with the new version file. (Or as you recommended, work on a dev branch first, which I should probably be doing anyway).

In that case my version file should look something like this:

{
    "NAME":"RoverScience",
    "URL":"https://github.com/theSpeare/RoverScience-Revisit/RoverScience.version",
    "DOWNLOAD":"https://github.com/theSpeare/RoverScience-Revisit/releases",
    "VERSION":
    {
        "MAJOR":2,
        "MINOR":1,
        "PATCH":3,
        "BUILD":0
    },
    "KSP_VERSION":
    {
        "MAJOR":1,
        "MINOR":1,
        "PATCH":3
    }
}

(out of curiosity, what can the GitHub implementation do?)

Link to comment
Share on other sites

On 6/29/2016 at 4:51 PM, cybutek said:

Yes...  You can have the version file hosted anywhere that's accessible on the internet.  Note that if you're using the GITHUB releases integration that's available to use, it will only notify of updates when the remote version and a release using that version tag match.  This is to stop users from receiving update notifications whenever you push a new version file before a release is actually ready.

There actually is github integration

See the quote above

Link to comment
Share on other sites

9 hours ago, theSpeare said:

@hab136 oh neat, thank you for the detailed explanation. So the version files I will need are:

1. One inside my packaged release zip file

2. One somewhere in my GitHub repo, for miniAVC to check against.

Furthermore, if I work exclusively on my master branch, I should publish my zip file FIRST, then push to Github with the new version file. (Or as you recommended, work on a dev branch first, which I should probably be doing anyway).

In that case my version file should look something like this:

(out of curiosity, what can the GitHub implementation do?)

The URL in the .version file has to point to raw.githubusercontent.com not github.com.

Presumably you would make the packaged release ZIP from the contents of your repo, so it's not really a separate file.

I was wrong about the github integration, see below

8 hours ago, Sigma88 said:

There actually is github integration

See the quote above

Quote

 Note that if you're using the GITHUB releases integration that's available to use, it will only notify of updates when the remote version and a release using that version tag match.  This is to stop users from receiving update notifications whenever you push a new version file before a release is actually ready

I see it now, thanks for pointing it out.

Link to comment
Share on other sites

This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...